Bug 679726 - Valgrind crashes with latest samba4 build binaries/libraries
Summary: Valgrind crashes with latest samba4 build binaries/libraries
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: openchange
Version: 14
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-23 11:02 UTC by Milan Crha
Modified: 2011-02-25 10:36 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-24 18:24:18 UTC
Type: ---


Attachments (Terms of Use)
libhx509-samba4.so.5.0.0.zip (256.69 KB, application/zip)
2011-02-23 17:16 UTC, Milan Crha
no flags Details
sel-lex.c (47.72 KB, text/plain)
2011-02-24 16:42 UTC, Milan Crha
no flags Details

Description Milan Crha 2011-02-23 11:02:42 UTC
When I build samba4 from its git (git://git.samba.org/samba.git) in Fedora 14, and then try to run $PREFIX/sbin/samba under valgrind, then it crashes with the below error. When I build samba-4.0.0alpha13.tar.gz instead, the it works fine.
The thing is that any application using samba4 libraries is crashing under valgrind too. I reported this to samba4 too [1], and it seems it's rather valgrind issue than samba's, they "only" (I guess) turned on some options which valgrind doesn't understand (yet). I also tried to build 3.6.0 valgrind on my machine with the same result.

$ valgrind  $PREFIX/sbin/samba
==2700== Memcheck, a memory error detector
==2700== Copyright (C) 2002-2009, and GNU GPL'd, by Julian Seward et al.
==2700== Using Valgrind-3.5.0 and LibVEX; rerun with -h for copyright info
==2700== Command: $PREFIX/sbin/samba
==2700== 
==2700== Warning: DWARF2 reader: Badly formed extended line op encountered

valgrind: m_debuginfo/storage.c:361 (vgModuleLocal_addLineInfo): Assertion
'lineno >= 0' failed.
==2700==    at 0x3802B8D9: report_and_quit (m_libcassert.c:145)
==2700==    by 0x3802BAA8: vgPlain_assert_fail (m_libcassert.c:217)
==2700==    by 0x3805C3F4: vgModuleLocal_addLineInfo (storage.c:361)
==2700==    by 0x3809DFF1: vgModuleLocal_read_debuginfo_dwarf3
(readdwarf.c:775)
==2700==    by 0x38058BA8: vgModuleLocal_read_elf_debug_info (readelf.c:2098)
==2700==    by 0x38051959: vgPlain_di_notify_mmap (debuginfo.c:817)
==2700==    by 0x3806A099: vgModuleLocal_generic_PRE_sys_mmap
(syswrap-generic.c:2037)
==2700==    by 0x380913C9: vgSysWrap_amd64_linux_sys_mmap_before
(syswrap-amd64-linux.c:984)
==2700==    by 0x3806690B: vgPlain_client_syscall (syswrap-main.c:1392)
==2700==    by 0x3806379D: handle_syscall (scheduler.c:873)
==2700==    by 0x38064919: vgPlain_scheduler (scheduler.c:1069)
==2700==    by 0x38074694: run_a_thread_NORETURN (syswrap-linux.c:91)

sched status:
  running_tid=1

Thread 1: status = VgTs_Runnable
==2700==    at 0x355E61753A: mmap (in /lib64/ld-2.12.90.so)
==2700==    by 0x355E6068C8: _dl_map_object_from_fd (in /lib64/ld-2.12.90.so)
==2700==    by 0x355E608276: _dl_map_object (in /lib64/ld-2.12.90.so)
==2700==    by 0x355E60C79C: openaux (in /lib64/ld-2.12.90.so)
==2700==    by 0x355E60E895: _dl_catch_error (in /lib64/ld-2.12.90.so)
==2700==    by 0x355E60CEA9: _dl_map_object_deps (in /lib64/ld-2.12.90.so)
==2700==    by 0x355E602F8C: dl_main (in /lib64/ld-2.12.90.so)
==2700==    by 0x355E6153BA: _dl_sysdep_start (in /lib64/ld-2.12.90.so)
==2700==    by 0x355E604B27: _dl_start (in /lib64/ld-2.12.90.so)
==2700==    by 0x355E600B17: ??? (in /lib64/ld-2.12.90.so)


Note: see also the FAQ in the source distribution.
It contains workarounds to several common problems.
In particular, if Valgrind aborted or crashed after
identifying problems in your program, there's a good chance
that fixing those problems will prevent Valgrind aborting or
crashing, especially if it happened in m_mallocfree.c.

If that doesn't help, please report this bug to: www.valgrind.org

In the bug report, send all the above text, the valgrind
version, and what OS and version you are using.  Thanks.

[1] https://bugzilla.samba.org/show_bug.cgi?id=7858

Comment 1 Jakub Jelinek 2011-02-23 11:55:27 UTC
Please try -v -v -v -v to see on which exact shared library it is complaining, then please attach that shared library (or URL from where it can be grabbed) for investigation.  It is possible .debug_line section might be wrong too.

Comment 2 Milan Crha 2011-02-23 17:16:21 UTC
Created attachment 480534 [details]
libhx509-samba4.so.5.0.0.zip

The DWARF error is just below this library. The full log:

==26771== Memcheck, a memory error detector
==26771== Copyright (C) 2002-2009, and GNU GPL'd, by Julian Seward et al.
==26771== Using Valgrind-3.5.0 and LibVEX; rerun with -h for copyright info
==26771== Command: $PREFIX/sbin/samba
==26771== 
--26771-- Valgrind options:
--26771--    -v
--26771-- Contents of /proc/version:
--26771--   Linux version 2.6.35.10-74.fc14.x86_64 (mockbuild@x86-11.phx2.fedoraproject.org) (gcc version 4.5.1 20100924 (Red Hat 4.5.1-4) (GCC) ) #1 SMP Thu Dec 23 16:04:50 UTC 2010
--26771-- Arch and hwcaps: AMD64, amd64-sse3-cx16
--26771-- Page sizes: currently 4096, max supported 4096
--26771-- Valgrind library directory: /usr/lib64/valgrind
--26771-- Reading syms from $PREFIX/sbin/samba (0x400000)
--26771-- Reading syms from /lib64/ld-2.13.so (0x4000000)
--26771-- Reading syms from /usr/lib64/valgrind/memcheck-amd64-linux (0x38000000)
--26771--    object doesn't have a dynamic symbol table
--26771-- Reading suppressions file: /usr/lib64/valgrind/default.supp
--26771-- REDIR: 0x4016bd0 (strlen) redirected to 0x380405d7 (vgPlain_amd64_linux_REDIR_FOR_strlen)
--26771-- Reading syms from /usr/lib64/valgrind/vgpreload_core-amd64-linux.so (0x4a21000)
==26771== Conditional jump or move depends on uninitialised value(s)
==26771==    at 0x4016AA6: index (in /lib64/ld-2.13.so)
==26771==    by 0x4007084: expand_dynamic_string_token (in /lib64/ld-2.13.so)
==26771==    by 0x40078E9: _dl_map_object (in /lib64/ld-2.13.so)
==26771==    by 0x400126D: map_doit (in /lib64/ld-2.13.so)
==26771==    by 0x400DC65: _dl_catch_error (in /lib64/ld-2.13.so)
==26771==    by 0x4001186: do_preload (in /lib64/ld-2.13.so)
==26771==    by 0x4003FC8: dl_main (in /lib64/ld-2.13.so)
==26771==    by 0x401465A: _dl_sysdep_start (in /lib64/ld-2.13.so)
==26771==    by 0x40048C0: _dl_start (in /lib64/ld-2.13.so)
==26771==    by 0x4000B27: ??? (in /lib64/ld-2.13.so)
==26771== 
==26771== Conditional jump or move depends on uninitialised value(s)
==26771==    at 0x4016AAB: index (in /lib64/ld-2.13.so)
==26771==    by 0x4007084: expand_dynamic_string_token (in /lib64/ld-2.13.so)
==26771==    by 0x40078E9: _dl_map_object (in /lib64/ld-2.13.so)
==26771==    by 0x400126D: map_doit (in /lib64/ld-2.13.so)
==26771==    by 0x400DC65: _dl_catch_error (in /lib64/ld-2.13.so)
==26771==    by 0x4001186: do_preload (in /lib64/ld-2.13.so)
==26771==    by 0x4003FC8: dl_main (in /lib64/ld-2.13.so)
==26771==    by 0x401465A: _dl_sysdep_start (in /lib64/ld-2.13.so)
==26771==    by 0x40048C0: _dl_start (in /lib64/ld-2.13.so)
==26771==    by 0x4000B27: ??? (in /lib64/ld-2.13.so)
==26771== 
--26771-- Reading syms from /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so (0x4c22000)
==26771== WARNING: new redirection conflicts with existing -- ignoring it
--26771--     new: 0x04016bd0 (strlen              ) R-> 0x04c26710 strlen
--26771-- REDIR: 0x4016a40 (index) redirected to 0x4c26370 (index)
--26771-- REDIR: 0x4016ac0 (strcmp) redirected to 0x4c26d10 (strcmp)
--26771-- Reading syms from $PREFIX/lib/libsamba-util.so.0.0.1 (0x4e2b000)
--26771-- Reading syms from $PREFIX/lib/samba/libcluster.so (0x5046000)
--26771-- Reading syms from $PREFIX/lib/libsamba-hostconfig.so.0.0.1 (0x5248000)
--26771-- Reading syms from $PREFIX/lib/samba/libcredentials.so (0x545f000)
--26771-- Reading syms from $PREFIX/lib/samba/libldbsamba.so (0x5672000)
--26771-- Reading syms from $PREFIX/lib/samba/libservice.so (0x589d000)
--26771-- Reading syms from $PREFIX/lib/samba/libauth4.so (0x5aab000)
--26771-- Reading syms from $PREFIX/lib/samba/libntvfs.so (0x5cbd000)
--26771-- Reading syms from $PREFIX/lib/libndr.so.0.0.1 (0x5f27000)
--26771-- Reading syms from $PREFIX/lib/samba/libprocess_model.so (0x613f000)
--26771-- Reading syms from $PREFIX/lib/samba/libevents.so (0x6341000)
--26771-- Reading syms from $PREFIX/lib/libgensec.so.0.0.1 (0x6542000)
--26771-- Reading syms from $PREFIX/lib/samba/libsamba-util-common.so (0x676e000)
--26771-- Reading syms from $PREFIX/lib/samba/libsamdb-common.so (0x6985000)
--26771-- Reading syms from $PREFIX/lib/samba/liberrors.so (0x6bad000)
--26771-- Reading syms from $PREFIX/lib/libdcerpc.so.0.0.1 (0x6e31000)
--26771-- Reading syms from $PREFIX/lib/samba/libndr-samba4.so (0x7106000)
--26771-- Reading syms from $PREFIX/lib/libsamdb.so.0.0.1 (0x7509000)
--26771-- Reading syms from /lib64/libpthread-2.13.so (0x771e000)
--26771-- Reading syms from $PREFIX/lib/libldb.so.1.0.2 (0x793a000)
--26771-- Reading syms from $PREFIX/lib/libtalloc.so.2.0.5 (0x7b6d000)
--26771-- Reading syms from /lib64/libpopt.so.0.0.0 (0x312da00000)
--26771--    object doesn't have a symbol table
--26771-- Reading syms from $PREFIX/lib/libtevent.so.0.9.10 (0x7d75000)
--26771-- Reading syms from /lib64/libc-2.13.so (0x7f82000)
--26771-- Reading syms from $PREFIX/lib/samba/libtdb-wrap.so (0x831e000)
--26771-- Reading syms from /lib64/libdl-2.13.so (0x8520000)
--26771-- Reading syms from $PREFIX/lib/samba/libgssapi-samba4.so.2.0.0 (0x8724000)
--26771-- Reading syms from $PREFIX/lib/samba/libauthkrb5.so (0x895f000)
--26771-- Reading syms from $PREFIX/lib/samba/libsecurity.so (0x8b7f000)
--26771-- Reading syms from $PREFIX/lib/samba/libkrb5-samba4.so.26.0.0 (0x8d9c000)
--26771-- Reading syms from /lib64/libcom_err.so.2.1 (0x3128a00000)
--26771--    object doesn't have a symbol table
--26771-- Reading syms from $PREFIX/lib/libtdb.so.1.2.9 (0x901d000)
--26771-- Reading syms from $PREFIX/lib/samba/libndr-samba.so (0x9231000)
--26771-- Reading syms from $PREFIX/lib/samba/libsamba-sockets.so (0x9549000)
--26771-- Reading syms from $PREFIX/lib/samba/libnetif.so (0x9763000)
--26771-- Reading syms from $PREFIX/lib/libwbclient.so.0 (0x9966000)
--26771-- Reading syms from $PREFIX/lib/samba/libnss_wrapper.so (0x9b73000)
--26771-- Reading syms from $PREFIX/lib/samba/libdcerpc-samba4.so (0x9d7b000)
--26771-- Reading syms from $PREFIX/lib/samba/libcli-ldap.so (0x9f80000)
--26771-- Reading syms from /lib64/libpam.so.0.82.2 (0x3129600000)
--26771--    object doesn't have a symbol table
--26771-- Reading syms from $PREFIX/lib/samba/libwrap_xattr.so (0xa198000)
--26771-- Reading syms from $PREFIX/lib/samba/libshares.so (0xa399000)
--26771-- Reading syms from $PREFIX/lib/samba/libuid_wrapper.so (0xa5a1000)
--26771-- Reading syms from /usr/lib64/libsasl2.so.2.0.23 (0x312de00000)
--26771--    object doesn't have a symbol table
--26771-- Reading syms from $PREFIX/lib/samba/libreplace.so (0xa7a3000)
--26771-- Reading syms from /lib64/librt-2.13.so (0xa9a5000)
--26771-- Reading syms from $PREFIX/lib/samba/libcli-nbt.so (0xabad000)
--26771-- Reading syms from $PREFIX/lib/libndr-standard.so.0.0.1 (0xadb9000)
--26771-- Reading syms from $PREFIX/lib/libndr-krb5pac.so.0.0.1 (0xb36d000)
--26771-- Reading syms from /lib64/libcrypt-2.13.so (0xb577000)
--26771-- Reading syms from $PREFIX/lib/samba/libroken-samba4.so.19.0.1 (0xb7ae000)
--26771-- Reading syms from $PREFIX/lib/samba/libasn1-samba4.so.8.0.0 (0xb9bd000)
--26771-- Reading syms from $PREFIX/lib/samba/libhcrypto-samba4.so.5.0.1 (0xbc6b000)
--26771-- Reading syms from /lib64/libgcrypt.so.11.5.3 (0xbeb3000)
--26771--    object doesn't have a symbol table
--26771-- Reading syms from /usr/lib64/libgnutls.so.26.14.12 (0x312e200000)
--26771--    object doesn't have a symbol table
--26771-- Reading syms from $PREFIX/lib/samba/libheimbase-samba4.so.1.0.0 (0xc128000)
--26771-- Reading syms from $PREFIX/lib/samba/libsocket_wrapper.so (0xc32c000)
--26771-- Reading syms from $PREFIX/lib/samba/libhx509-samba4.so.5.0.0 (0xc533000)
==26771== Warning: DWARF2 reader: Badly formed extended line op encountered

valgrind: m_debuginfo/storage.c:361 (vgModuleLocal_addLineInfo): Assertion 'lineno >= 0' failed.
==26771==    at 0x3802B8D9: report_and_quit (m_libcassert.c:145)
==26771==    by 0x3802BAA8: vgPlain_assert_fail (m_libcassert.c:217)
==26771==    by 0x3805C3F4: vgModuleLocal_addLineInfo (storage.c:361)
==26771==    by 0x3809DFF1: vgModuleLocal_read_debuginfo_dwarf3 (readdwarf.c:775)
==26771==    by 0x38058BA8: vgModuleLocal_read_elf_debug_info (readelf.c:2098)
==26771==    by 0x38051959: vgPlain_di_notify_mmap (debuginfo.c:817)
==26771==    by 0x3806A099: vgModuleLocal_generic_PRE_sys_mmap (syswrap-generic.c:2037)
==26771==    by 0x380913C9: vgSysWrap_amd64_linux_sys_mmap_before (syswrap-amd64-linux.c:984)
==26771==    by 0x3806690B: vgPlain_client_syscall (syswrap-main.c:1392)
==26771==    by 0x3806379D: handle_syscall (scheduler.c:873)
==26771==    by 0x38064919: vgPlain_scheduler (scheduler.c:1069)
==26771==    by 0x38074694: run_a_thread_NORETURN (syswrap-linux.c:91)

sched status:
  running_tid=1

Thread 1: status = VgTs_Runnable
==26771==    at 0x401661A: mmap (in /lib64/ld-2.13.so)
==26771==    by 0x4006292: _dl_map_object_from_fd (in /lib64/ld-2.13.so)
==26771==    by 0x4007996: _dl_map_object (in /lib64/ld-2.13.so)
==26771==    by 0x400BD01: openaux (in /lib64/ld-2.13.so)
==26771==    by 0x400DC65: _dl_catch_error (in /lib64/ld-2.13.so)
==26771==    by 0x400C402: _dl_map_object_deps (in /lib64/ld-2.13.so)
==26771==    by 0x4002E6E: dl_main (in /lib64/ld-2.13.so)
==26771==    by 0x401465A: _dl_sysdep_start (in /lib64/ld-2.13.so)
==26771==    by 0x40048C0: _dl_start (in /lib64/ld-2.13.so)
==26771==    by 0x4000B27: ??? (in /lib64/ld-2.13.so)

Comment 3 Jakub Jelinek 2011-02-23 18:07:16 UTC
Well, valgrind isn't the only tool unhappy about the .debug_line section in that shared library:

readelf -wl libhx509-samba4.so.5.0.0 >/dev/null
readelf: Warning: badly formed extended line op encountered!
readelf: Warning: badly formed extended line op encountered!

There are apparently two .debug_line hunks which have empty File Name Table and the line number statemets look broken.

Can you please find out which objects those are (say

for i in `find . -name \*.o`; do
  readelf -wl $i | grep -q 'File Name Table is empty' && echo $i;
done

in the build tree and then see how it has been compiled (or if it has handwritten .debug_line section or something similarly broken)?

Comment 4 Milan Crha 2011-02-24 07:06:23 UTC
Result of the command:

./bin/default/source4/heimdal_build/replace_3.o
./bin/default/source4/heimdal_build/replace_1.o
./bin/default/source4/heimdal/lib/krb5/kcm_53.o
./bin/default/source4/heimdal/lib/krb5/version_53.o
readelf: Warning: badly formed extended line op encountered!
readelf: Warning: badly formed extended line op encountered!
./bin/default/source4/heimdal/lib/com_err/parse_130.o
readelf: Warning: badly formed extended line op encountered!
readelf: Warning: badly formed extended line op encountered!
readelf: Warning: badly formed extended line op encountered!
readelf: Warning: badly formed extended line op encountered!
./bin/default/source4/heimdal/lib/com_err/lex_130.o
./bin/default/source4/heimdal/lib/hdb/db_31.o
./bin/default/source4/heimdal/lib/hdb/ndbm_31.o
./bin/default/source4/heimdal/lib/roken/h_errno_3.o
./bin/default/source4/heimdal/lib/roken/h_errno_1.o
./bin/default/source4/heimdal/lib/roken/strsep_3.o
./bin/default/source4/heimdal/lib/roken/strsep_1.o
readelf: Warning: badly formed extended line op encountered!
./bin/default/source4/heimdal/lib/hx509/sel-gram_116.o
readelf: Warning: badly formed extended line op encountered!
./bin/default/source4/heimdal/lib/hx509/sel-lex_116.o
readelf: Warning: badly formed extended line op encountered!
readelf: Warning: badly formed extended line op encountered!
readelf: Warning: badly formed extended line op encountered!
readelf: Warning: badly formed extended line op encountered!
./bin/default/source4/heimdal/lib/asn1/lex_128.o
readelf: Warning: badly formed extended line op encountered!
./bin/default/source4/heimdal/lib/asn1/asn1parse_128.o
./bin/default/source4/heimdal/kdc/digest_16.o
./bin/default/source4/heimdal/kdc/kx509_16.o
./bin/default/librpc/gen_ndr/ndr_msgsvc_c_102.o
./bin/default/librpc/gen_ndr/ndr_audiosrv_c_79.o
./bin/default/librpc/gen_ndr/ndr_w32time_c_109.o
./bin/default/librpc/gen_ndr/ndr_policyagent_c_89.o
./bin/default/librpc/gen_ndr/ndr_dsbackup_c_81.o

(In reply to comment #3)
> in the build tree and then see how it has been compiled (or if it has
> handwritten .debug_line section or something similarly broken)?

I'm sorry, I do not understand at all. I'm able to run commands, but I have no idea about "handwritten .debug_line section" and such.

One possibility, for easier testing for you, might be to checkout openchange
 $ svn co -r 1756 http://svnmirror.openchange.org/openchange/trunk openchange
and then do
 $ make samba-git
in that checkout, which will create samba4 subdirectory where the affected files are stored.

Comment 5 Jakub Jelinek 2011-02-24 08:47:45 UTC
I meant, find in the build log which command created that say bin/default/source4/heimdal/lib/hx509/sel-lex_116.o
above (or tweak makefiles to print it if it does similar command obfuscation to Linux kernel (sometimes make V=1 works), and if it is generated from C, attach here the preprocessed source for the file (run it with -save-temps), assembly and write the exact command line to compile it.

Comment 6 Milan Crha 2011-02-24 16:42:52 UTC
Created attachment 480801 [details]
sel-lex.c

17:17:00 runner ccache gcc -I/build/branch/samba/include -g -O0 -Wall -DDEVELOPER -DDEBUG_PASSWORD -fPIC -Wshadow -Wstrict-prototypes -Wpointer-arith -Wcast-qual -Wcast-align -Wwrite-strings -Werror-implicit-function-declaration -Wformat=2 -Wno-format-y2k -Wmissing-prototypes -W -DSTATIC_hx509_MODULES=NULL -DSTATIC_hx509_MODULES_PROTO -MD -Idefault/source4/heimdal_build -I../source4/heimdal_build -Idefault/source4/heimdal/lib/hx509 -I../source4/heimdal/lib/hx509 -Idefault/source4 -I../source4 -Idefault/lib -I../lib -Idefault/source4/lib -I../source4/lib -Idefault/source4/include -I../source4/include -Idefault/include -I../include -Idefault -I.. -Idefault/lib/socket_wrapper -I../lib/socket_wrapper -Idefault/lib/replace -I../lib/replace -Idefault/source4/heimdal/lib/roken -I../source4/heimdal/lib/roken -Idefault/source4/heimdal/include -I../source4/heimdal/include -Idefault/source4/heimdal/lib/asn1 -I../source4/heimdal/lib/asn1 -Idefault/source4/heimdal/lib/wind -I../source4/heimdal/lib/wind -Idefault/source4/heimdal/lib/hcrypto/libtommath -I../source4/heimdal/lib/hcrypto/libtommath -Idefault/source4/heimdal/lib/hcrypto -I../source4/heimdal/lib/hcrypto -Idefault/source4/heimdal/lib -I../source4/heimdal/lib -Idefault/lib/nss_wrapper -I../lib/nss_wrapper -Idefault/lib/uid_wrapper -I../lib/uid_wrapper -I/build/branch/samba/include -I/usr/include/et -D_SAMBA_BUILD_=4 -DHAVE_CONFIG_H=1 -D_GNU_SOURCE=1 -D_XOPEN_SOURCE_EXTENDED=1 ../source4/heimdal/lib/hx509/sel-lex.c -c -o default/source4/heimdal/lib/hx509/sel-lex_116.o

Comment 7 Jakub Jelinek 2011-02-24 18:00:25 UTC
That is not preprocessed source, but anyway, the bug is obvious:

#line 3 ""

There should be a filename in between "s, empty filename is not a valid filename and therefore you get an invalid .debug_line section.
Just fix samba.  Or if it is flex that creates it, fix flex or whatever else creates those.

Comment 8 Milan Crha 2011-02-24 18:24:18 UTC
(In reply to comment #7)
> That is not preprocessed source, but anyway

yeah, I was unable to get it, I'm sorry. But good you know what's going on, because I don't much. Thanks for your help with this.

Relevant upstream bug:
https://bugzilla.samba.org/show_bug.cgi?id=7858

Comment 9 Andrew Bartlett 2011-02-25 09:32:32 UTC
I still don't think valgrind should crash in this situation.  The invalid line numbers are generated by a Fedora 14 lex/yacc, so feel free to re-assign it there.

The script is at http://gitweb.samba.org/?p=samba.git;a=blob;f=source4/heimdal_build/lexyacc.sh;h=cee21668e56956863240e77a059868699125d68e;hb=HEAD

I'm happy to change it to omit #line statements, but I still don't see why this needs to be an assertion, rather than just pretending that info wasn't there in the first place.

Comment 10 Milan Crha 2011-02-25 10:36:59 UTC
Thanks for the guidance on this, I found an issue in their script for generating those heimdal .c files with lex and yacc (actually in that above, Andrew wrote his comment just before mine) and sent them a patch for it.


Note You need to log in before you can comment on or make changes to this bug.